package tutorialJava.capitulo7_Recursos.ejemplo04_listeners.lluviaListener;

import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Aemet {

	private static List<InteresadoLLuviaListener> lluviaListeners = 
			new ArrayList<InteresadoLLuviaListener>();
	
	/**
	 * 
	 * @param l
	 */
	public static void addInteresadoLluviaListener (
			InteresadoLLuviaListener listener) {
		lluviaListeners.add(listener);
	}
	
	/**
	 * 
	 * @param listener
	 */
	public static void removeInteresadoLluviaListener (
			InteresadoLLuviaListener listener) {
		lluviaListeners.remove(listener);
	}
	
	/**
	 * 
	 */
	private static void fireEstaLloviendo(int litrosPorMetro) {
		for (InteresadoLLuviaListener listener : lluviaListeners) {
			InteresadoLluviaEvent event = new InteresadoLluviaEvent();
			event.setLitrosPorMetro(litrosPorMetro);
			listener.estaLloviendo(event);
		}
	}
	
	/**
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		String respuestaLluvia;
	
		new Telediario();
		new ProgramaRadio();
		
		
		System.out.println("Está lloviendo?");
		respuestaLluvia = sc.nextLine();
		
		if (respuestaLluvia.toLowerCase().startsWith("s")) {
			System.out.println("Está lloviendo");
			
			System.out.println("¿Cuánto está lloviendo?");
			int litrosPorMetro = Integer.parseInt(sc.nextLine());
			
			fireEstaLloviendo(litrosPorMetro);
		}
		

	}

}
